=== debian/changelog ===
kmail (4:20.08.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Update lintian overrides.

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:51:02 +0100

kmail (4:20.08.2-5) unstable; urgency=medium

  * Team upload.
  * Unregister the old /etc/xdg/kdepim.categories conffile.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Re-export upstream signing key without extra signatures.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Nov 2020 21:10:09 +0100

kmail (4:20.08.2-4) unstable; urgency=medium

  * Add kuserfeedback-dev to B-D.

 -- Sandro Knauß <hefee@debian.org>  Tue, 27 Oct 2020 20:13:47 +0100

kmail (4:20.08.2-3) unstable; urgency=medium

  * Team upload.
  * Disable the unit tests, as they may take too long, and they do not fully
    pass anyway: (Closes: #972596)
    - pass -DBUILD_TESTING=OFF to cmake to disable their build
    - leave an empty dh_auto_test override
    - drop the xauth, and xvfb build dependencies

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 14:21:38 +0200

kmail (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:10:14 +0200

kmail (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:45 +0200

kmail (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/kmail.categories,
    /etc/xdg/kmail.renamecategories, /etc/xdg/ktnefapps.categories, and
    /etc/xdg/ktnefapps.renamecategories conffiles.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 22:41:49 +0200

kmail (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:01:22 +0200

kmail (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:26:16 +0200
